libepoxy 1.5.4

Functions
egl.h File Reference
`#include "epoxy/common.h"`
`#include "epoxy/egl_generated.h"`

## Functions
bool | epoxy_has_egl_extension (EGLDisplay dpy, const char *extension)
| Returns true if the given EGL extension is supported in the current context. More...
int | epoxy_egl_version (EGLDisplay dpy)
| Returns the version of OpenGL we are using. More...
bool | epoxy_has_egl (void)
| Checks whether EGL is available. More...

## Detailed Description

Provides an implementation of an EGL dispatch layer using global function pointers

You should include `<epoxy/egl.h>` instead of `<EGL/egl.h>`.

## Function Documentation

## ◆ epoxy_egl_version()

int epoxy_egl_version | ( | EGLDisplay | dpy | ) |

Returns the version of OpenGL we are using.

The version is encoded as:

version = major * 10 + minor

So it can be easily used for version comparisons.

Parameters

  The | EGL display

Returns
  The encoded version of EGL we are using

See also
  epoxy_gl_version()

## ◆ epoxy_has_egl()

bool epoxy_has_egl | ( | void |  | ) |

Checks whether EGL is available.

Returns
  `true` if EGL is available

Since libepoxy 1.4:

## ◆ epoxy_has_egl_extension()

bool epoxy_has_egl_extension | ( | EGLDisplay | dpy,
|  | const char * | ext
| ) |  |

Returns true if the given EGL extension is supported in the current context.

Parameters

  dpy | The EGL display
  extension | The name of the EGL extension

Returns
  `true` if the extension is available

See also
  epoxy_has_gl_extension()
  epoxy_has_glx_extension()